# Ogre::ShadowTextureConfig Struct Reference

Structure containing the configuration for one shadow texture. More...

`#include <OgreShadowTextureManager.h>`

List of all members.

## Public Member Functions

| ShadowTextureConfig ()

## Public Attributes

unsigned int | width
unsigned int | height
PixelFormat | format

## Detailed Description

Structure containing the configuration for one shadow texture.

Definition at line 45 of file OgreShadowTextureManager.h.

## Constructor & Destructor Documentation

Ogre::ShadowTextureConfig::ShadowTextureConfig | ( |  | ) |

| Definition at line 51 of file OgreShadowTextureManager.h.

## Member Data Documentation

PixelFormat Ogre::ShadowTextureConfig::format

| Definition at line 49 of file OgreShadowTextureManager.h.

unsigned int Ogre::ShadowTextureConfig::height

| Definition at line 48 of file OgreShadowTextureManager.h.

unsigned int Ogre::ShadowTextureConfig::width

| Definition at line 47 of file OgreShadowTextureManager.h.

The documentation for this struct was generated from the following file:

- OgreShadowTextureManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:54:21 2009